Agents

List FinTech trust store catalog metadata

GET
/organizations/{organizationId}/certiwise/trust-store-catalog

Path Parameters

organizationId*string
Formatuuid

Header Parameters

x-organization-role*string

Portal impersonation role (pair with x-organization-id)

Value in

  • "ORG_ADMIN"
  • "ORG_MEMBER"
x-organization-id*string

Must match the organizationId path segment

Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/certiwise/trust-store-catalog" \  -H "x-organization-role: ORG_ADMIN" \  -H "x-organization-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "items": [    {      "trustStoreType": "linux_update_ca_certificates",      "category": "os",      "displayName": "string",      "supportedLanguages": [        "string"      ],      "defaultPathHints": [        "string"      ],      "platforms": [        "string"      ],      "materialTypes": [        "trust_anchor"      ],      "docsUrl": "http://example.com",      "agentInstallable": true,      "containerBaseImages": [        {          "image": "string",          "displayName": "string",          "caUpdateTool": "string",          "e2ePriority": "P0"        }      ]    }  ],  "clientOnlyLanguages": [    {      "language": "string",      "displayName": "string",      "agentInstallable": false,      "guidanceSummary": "string",      "docsUrl": "http://example.com"    }  ]}
{  "message": "string"}